import type AppRegistry from 'hadron-app-registry';
import type { AnyAction, Action } from 'redux';
import type { ThunkAction } from 'redux-thunk';
import { FavoriteQueryStorage } from '@mongodb-js/my-queries-storage';
import { PipelineStorage } from '@mongodb-js/my-queries-storage';
import type { DataService } from 'mongodb-data-service';
import type { MongoDBInstance } from '@mongodb-js/compass-app-stores/provider';
import type { LoggerAndTelemetry } from '@mongodb-js/compass-logging/provider';
import type { workspacesServiceLocator } from '@mongodb-js/compass-workspaces/provider';
type MyQueriesServices = {
    dataService: DataService;
    instance: MongoDBInstance;
    globalAppRegistry: AppRegistry;
    logger: LoggerAndTelemetry;
    workspaces: ReturnType<typeof workspacesServiceLocator>;
};
type Storages = {
    pipelineStorage: PipelineStorage;
    queryStorage: FavoriteQueryStorage;
};
export declare function configureStore({ globalAppRegistry, dataService, instance, logger, workspaces, pipelineStorage, queryStorage, }: MyQueriesServices & Partial<Storages>): import("redux").Store<import("redux").EmptyObject & {
    savedItems: import("./aggregations-queries-items").State;
    openItem: import("./open-item").State;
    editItem: import("./edit-item").State;
}, {
    type: import("./delete-item").ActionTypes;
    id: string;
} | AnyAction | import("./aggregations-queries-items").Actions | import("./edit-item").Actions> & {
    dispatch: import("redux-thunk").ThunkDispatch<any, {
        globalAppRegistry: AppRegistry;
        dataService: DataService;
        instance: MongoDBInstance;
        logger: LoggerAndTelemetry;
        pipelineStorage: PipelineStorage;
        queryStorage: FavoriteQueryStorage;
        workspaces: import("@mongodb-js/compass-workspaces/provider").WorkspacesService;
    }, AnyAction>;
};
export type RootState = ReturnType<ReturnType<typeof configureStore>['getState']>;
type SavedQueryAggregationExtraArgs = MyQueriesServices & Storages;
export type SavedQueryAggregationThunkAction<R, A extends Action = AnyAction> = ThunkAction<R, RootState, SavedQueryAggregationExtraArgs, A>;
export declare function activatePlugin(_: Record<string, never>, services: MyQueriesServices & Partial<Storages>): {
    store: import("redux").Store<import("redux").EmptyObject & {
        savedItems: import("./aggregations-queries-items").State;
        openItem: import("./open-item").State;
        editItem: import("./edit-item").State;
    }, {
        type: import("./delete-item").ActionTypes;
        id: string;
    } | AnyAction | import("./aggregations-queries-items").Actions | import("./edit-item").Actions> & {
        dispatch: import("redux-thunk").ThunkDispatch<any, {
            globalAppRegistry: AppRegistry;
            dataService: DataService;
            instance: MongoDBInstance;
            logger: LoggerAndTelemetry;
            pipelineStorage: PipelineStorage;
            queryStorage: FavoriteQueryStorage;
            workspaces: import("@mongodb-js/compass-workspaces/provider").WorkspacesService;
        }, AnyAction>;
    };
    deactivate(): void;
};
export {};
//# sourceMappingURL=index.d.ts.map